# List services

Returns a list of the services for which you have view permissions in the given project.

Endpoint: GET /v1/services
Version: 1.0
Security: x-api-key

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items in each page

  - `limit` (integer)
    Number of items to return per page.

  - `search_term` (string)
    This would be used to filter resources having attributes matching with search term.

  - `service_ids` (array)
    List of Service Identifiers

  - `sort` (string)
    Parameter on the basis of which sorting is done.
    Enum: "name", "identifier", "created", "updated"

  - `is_access_list` (boolean)
    Specifies whether the list is an access list. An access list is a list of services that you are permitted to use in a pipeline.

  - `deployment_type` (string)
    Service Definition Type
    Enum: "Kubernetes", "NativeHelm", "Ssh", "WinRm", "ServerlessAwsLambda", "AzureWebApp", "GitOps", "ECS", "TAS", "CustomDeployment", "Elastigroup", "Asg", "GoogleCloudFunctions", "AwsLambda", "AWS_SAM"

  - `git_ops_enabled` (boolean)
    Enables you to use the service in Harness GitOps PR pipelines.

  - `order` (string)
    Order on the basis of which sorting is done.
    Enum: "ASC", "DESC"

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Response 200 fields (application/json):

  - `service` (object)
    This is the Service entity defined in Harness

  - `service.account` (string)
    Account Identifier

  - `service.identifier` (string, required)
    Identifier of the Service Request.

  - `service.org` (string)
    Organization Identifier for the Entity.

  - `service.project` (string)
    Project Identifier for the Entity.

  - `service.name` (string, required)
    Name of the Service Request.

  - `service.description` (string)
    Description of the entity

  - `service.tags` (object)
    Service tags

  - `service.yaml` (string)
    Yaml related to service

  - `service.harness_version` (string)
    version of harness yaml

  - `created` (integer)
    Creation timestamp for Service.

  - `updated` (integer)
    Last modification timestamp for Service.


